MAN(1)

NAME
man - format and display the on-line manual pages

SYNOPSIS
man [-adfhkotw] [-m system] [-p string] [-M path] [-P pager] [-S list] [section] name ...

DESCRIPTION
Man formats and displays the on-line manual pages. This version knows about the MANPATH and PAGER environment variables, so you can have your own set(s) of personal man pages and choose whatever program you like to display the formatted pages. If section is specified, man only looks in that section of the manual. You may also specify the order to search the sections for entries and which preprocessors to run on the source files via command line options or environment variables. If enabled by the system administrator, formatted man pages will also be compressed with the `%compress%' command to save space.

The options are as follows:

-M path
    Specify an alternate manpath. By default, man uses manpath to determine the path to search. This option overrides the MANPATH environment variable.

-P pager
    Specify which pager to use. By default, man uses %pager%, This option overrides the PAGER environment variable.

-S list
    List is a colon separated list of manual sections to search. This option overrides the MANSECT environment variable.

-a  By default, man will exit after displaying the first manual page it finds. Using this option forces man to display all the manual pages that match name, not just the first.

-d  Don't actually display the man pages, but do print gobs of debugging information.

-f  Equivalent to whatis.

-h  Print a one line help message and exit.

-k  Equivalent to apropos.

-m system
    Specify an alternate set of man pages to search based on the system name given.

-o  Use original, non-localized manpages. By default, man searches for localized subdirectories of each manpath component, subdirectory name is determined by the LANG or LC_CTYPE environment variables. Localized directory name builded using following rule: directory name merged with LC_CTYPE or LANG environment variable value. If LC_CTYPE has no value, then LANG variable value will be used. If both these variables have no value, then no actions will be performed. man can handle long and short notations of localized directory names. Long notation means that directory has name "path/<lang>_<country>.<charset>", for example ".../man/ru_RU.KOI8-R". Short notation "path/<lang>.<charset>", for example ".../man/ru.KOI8-R". Short notation have priority over long one.

-p string
    Specify the sequence of preprocessors to run before nroff or troff. Not all installations will have a full set of preprocessors. Some of the preprocessors and the letters used to designate them are: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). This option overrides the MANROFFSEQ environment variable.

-t  Use %troff% to format the manual page, passing the output to stdout. The output from %troff% may need to be passed through some filter or another before being printed.

-w  Don't actually display the man pages, but do print the location(s) of the files that would be formatted or displayed.

ENVIRONMENT
MANPATH
    If MANPATH is set, its value is used as the path to search for manual pages.
MANROFFSEQ
    If MANROFFSEQ is set, its value is used to determine the set of preprocessors run before running nroff or troff. By default, pages are passed through the table preprocessor before nroff.
MANSECT
    If MANSECT is set, its value is used to determine which manual sections to search.
PAGER
    If PAGER is set, its value is used as the name of the program to use to display the man page. By default, %pager% is used.

EXAMPLES

Normally, to look at the relevant manpage information for getopt, one would use:
    man getopt

However, when referring to a specific section of the manual, such as getopt(3), one would use:
    man 3 getopt

SEE ALSO
apropos(1), groff(1), manpath(1), more(1), whatis(1), man(7), mdoc(7), mdoc.samples(7)

BUGS
The -t option only works if a troff-like program is installed.